cURL
curl --request POST \
--url https://api.acmecorp.com/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"id": 123,
"tag": "<string>",
"price": 123,
"explosive": true
}
'import requests
url = "https://api.acmecorp.com/products"
payload = {
"name": "<string>",
"id": 123,
"tag": "<string>",
"price": 123,
"explosive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', id: 123, tag: '<string>', price: 123, explosive: true})
};
fetch('https://api.acmecorp.com/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"tag": "<string>",
"price": 123,
"explosive": true
}{
"error": 123,
"message": "<string>"
}Endpoint examples
Order Product
Place an order for a new ACME product. Orders are processed instantly (or whenever our systems feel like it)
POST
/
products
cURL
Place an order for a new ACME product. Orders are processed instantly (or whenever our systems feel like it). Shipping times vary based on product explosiveness.
Authorizations
ACME Bearer token (obtained with product purchase)
Body
application/json
Product order details
The name of the ACME product (e.g., 'Rocket-Powered Roller Skates')
Order identification number
Product category (e.g., 'explosive', 'transportation', 'invisibility')
Product price in USD
Whether this product is known to explode
Response
Order confirmed (explosions not covered)
Was this page helpful?